<?php
#G
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Académie de Bordeaux)

This file is part of Gibii/Melia.

Gibii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Gibii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Gibii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/

//define("NBCOLS",8);      //pour les classes et les compétences
include("../include/vars_adm.php");
include("../include/util.inc.php");
include("../include/utiljs.php");
include("../include/get.inc.php");
include("../include/eleve.inc.php");
opensession("Admin",false);
//print "eleve_id=$id";
$statut=$sess_statut;
if (!isset($alafin)) 
    $bodyonload='onload="if (document.form1==undefined) ; else document.form1.nom.focus();"';
else $bodyonload='';

?><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML>
<HEAD>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<TITLE>Caractéristiques d'un élève</TITLE>
<link rel="stylesheet" href="<?php echo "../themes/".$etab_theme."/b2i.css" ?>">

<!-- Pour le calendrier -->
<link href="<?php echo"../themes/".$etab_theme."/calendar/calendar.css\""?> type="text/css" rel="stylesheet" />
<script src="../lib/calendar/calendar.js"></script>

<script language="javascript">
function eleveestbon() { //vérifie le formulaire avant envoi
 var frm=document.form1;
 if (!frm.nom.value) {
     alert("Le champ nom est absent.");
     return false;
 }
 if (!frm.login.value) {
     alert("Le champ login est absent.");
     return false;
 }
 return true;
}

function confirmer() {
    return (confirm('ATTENTION ! La suppression d\'un élève et de ses résultats est irréversible.\nPensez que d\'autres établissements peuvent le récupérer et réutiliser ses résultats.\n\nVoulez-vous VRAIMENT SUPPRIMER cet élève ?\n\n'));
}

//pour le clignotement

function blinkblank(element,activer) {
    var st;
    if (activer) st='blink';
    else st='none';
    element.style.textDecoration=st;
    return true;
    }
    
</script>
</HEAD>

<BODY class="arialadmin" <?php echo $bodyonload; ?> >

<?php

//entrée avec id en paramètre avec l'URL
//id=0 : nouvel élève, tous les champs sont vides
//id>0 : élève existant à modifier éventuellement ($id est un index et non un eleve_id)

//print_r($_SESSION);
if (!isset($id)) {
    //arrivée avant le choix d'une action
    print "</body></html>\n";
    exit();
    }
elseif ($id==0)
    $eid=0; //rien, on continue, c'est une création
else {
    /*print $id;print "<br>";
    print_r($_SESSION['temp']['eleve']);
    print "<br>";
    print $_SESSION['temp']['eleve'][(int) $id];
    */
    $eid=@$_SESSION['temp']['eleve'][(int) $id];
    if (!isset($eid)) {
        print "</body></html>\n";
        piratage();
        exit();
        }
    }


$sql="SELECT * FROM eleves WHERE eleve_id=$eid;";
$result=query ($sql);
$row=mysql_fetch_array($result);
$nomquot=stripslashes($row["nom"]);
$prenomquot=stripslashes($row["prenom"]);
$uid=$row['uid'];


//Trouver le login
$sqlogin="SELECT * FROM comptes WHERE eleve_id=$eid;";
$reslogin=query($sqlogin);
$rowlogin=mysql_fetch_array($reslogin);
$loginquot=stripslashes($rowlogin["login"]);
$elactif=$rowlogin['actif'];


//trouver tous les DIVCOD
$sqlclasses="SELECT * FROM classes WHERE etab_id=$etab_id AND divgro='D' ORDER BY divcod;";
$resultclasses=query ($sqlclasses);

//trouver toutes les langues
$res=query("SELECT disc_id,libelle FROM disciplines ORDER BY libelle");
while (list($disc_id,$libelle)=mysql_fetch_array($res)) {
        $tablang[$disc_id]=$libelle;
}

//trouver les langues de l'élève
$lv=array(); //si nouvel élève ($id=0) ce tableau restera vide
$res=query("SELECT rang,disc_id FROM lien_eleves_disciplines WHERE eleve_id=$eid");
while (list($r,$d)=mysql_fetch_array($res)) {
      $lv[$r]=$d;
}


//Mettre "selected" dans l'élément du tableau $civ correspondant à l'option sélectionnée
$civ=array("M."=>"","Mme"=>"","Mlle"=>"");
$civ[$row["civil"]]="selected";



print "\n<form name='form1' method='post' action='eleves_traiter.php?id=$id'
          onsubmit='return eleveestbon();'>";
?>
<div align='center'><table border = "0" class='encadre_pres' width="98%"><tr class = "paire"><td >
<table border = "0" cellpadding="3" cellspacing="0" width="100%">
    <tr>
        <td width="40%">
        <?php
          if ($eid)
              echo "<font color=\"navy\" size=\"1\">Id n° ".$row['eleve_id'].
                   "</font>\n";
        ?>
        </td>
        <td width="40%">&nbsp;</td>
    </tr>
    <tr>
        <td width="40%">
        <p><input type="text" name="nom" size=25 value="<?php echo $nomquot; ?>"> Nom </p>
        </td>
        <td width="40%">
        <p><input type="text" name="prenom" size="20" value="<?php echo $prenomquot; ?>"> Pr&eacute;nom</p>
        </td>
    </tr>
    <tr>
        <td width="40%">
        <p> <br />
        <select name=civilite>
                <option value="M." <?php echo $civ["M."] ?>> M.</option>
                <option value="Mme" <?php echo $civ["Mme"] ?>> Mme</option>
                <option value="Mlle"<?php echo $civ["Mlle"] ?>> Mlle</option>
        </select>
        </p>
        </td>
        <td width="40%">
        <p><br />
        <select name="newclasse_id" size="1">
            <?php
             //l'option sélectionnée se retrouvera dans $newclasse_id
             //afficher les classes dans une combo-box, avec la classe de l'élève sélectionnée
             while ($rowclasses=mysql_fetch_array($resultclasses)) {
                  $classeact=$rowclasses["classe_id"];
                  $selected=($classeact==$row["classe_id"]) ? "selected" : "";
                  //if ($selected) echo
                  print "<option $selected value='$classeact'>";
                  print $rowclasses["divcod"].
                        "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;". //pour élargir la combo-box
                        "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
                  print "</option>\n";
              }
             mysql_free_result($resultclasses);
            ?>
        </select> Classe
        </p>
        </td>
    </tr>
    <tr>
        <td width="40%">
         <p><br /><input type="text" name="login"  size=22 maxlength=22   value="<?php echo $loginquot; ?>"> Login de base</p>
        </td>
        <td width="40%">
        <p><br /><input type="text" name="dnaiss" size="20" value='<?php echo $row["dnaiss"]; ?>'> Date de naissance </p>
        </td>

    </tr>
    <tr>
        <td width="40%">
        <p><br /><input type="checkbox" name="mdpinit"> Réinitialiser le mot de passe (d. de naiss.)</p>
        </td>
        <td width="40%">
        <?php   if ((!isset($sess_statut_prof)) AND ($ADM_INE==1)|| ($sess_statut=="Sadmin")) { ?>
        <p><br /><input type="text" name="uid"  size=20 maxlength=11   value="<?php echo $uid; ?>"> INE </p> 
        <?php  } else echo "&nbsp;"; ?>
        
        </td></tr></table>
        </td></tr></table></div>
         <br />
         <?php
  //Affichage des langues vivantes à réserver pour Melia
  if ($MODULE=="Melia") {
?>
          <div align='center'><table border = "1" width="98%"><tr class = "impaire"><td >
         <center><table border="0">
         <tr><td>
          <p align=center class="rubrique">Langues vivantes : </p><td height="40"></td></td></tr>
         <tr>
         <td>
        <?php
        for ($r=1; $r<=3; $r++) {
            if (isset($lv[$r])) $langue=$lv[$r]; //langue pratiquée en position $r
            else $langue=-1;
            print "<select name=\"combolangue[$r]\" size=\"1\" >\n";
            //remplir les combo
            if ($langue==-1) $selected="selected=\"selected\"";
            else $selected="";
            print "<option value=\"-1\" $selected>";  //valeur vide
            print "</option>\n";
            for ($ilangue=0; $ilangue<count($tablang); $ilangue++) {
                if ($ilangue==$langue) $selected="selected=\"selected\"";
                else $selected="";
                print "<option value=\"$ilangue\" $selected>";
                print $tablang[$ilangue];
                print "</option>";
            }
            print "</select>\n&nbsp;&nbsp;";
            //print_r($tablang);
        }
        ?>
           </p>
        </td>

    </tr>

 </table></center>
   </td></tr></table></div>

 <?php
  //Fin affichage tableau des langues vivantes pour Melia
  }
?>


<input type='hidden' name='oldclasse_id' value='<?php echo $row["classe_id"]; ?>' />
<input type='hidden' name='oldlogin' value='<?php echo $loginquot; ?>' />
<div align="center"><table border="0"><tr><td>
<input type="submit" class="coul"  name="enregistrer" value="Envoi des modifications" />
<input type="reset" class="coul" name="Annuler" value="Annuler" />
</table> </div>
<?php if ($eid) { ?>
   <br /><hr /><br />
    <p class='avis'>
    Vous pouvez aussi &laquo;<b>faire disparaître</b>&raquo; l'élève ci-dessus de diverses façons </p><br />
    <div class='avis5'><table cellpadding = "5" border="0">
    <tr><td>
        <input type="submit" class="coul"  name="supprimer" value="Supprimer la fiche" onClick="return confirmer();" />
        </td>
        <td class="arial_petit"> Supprimer définitivement l'élève du site ainsi que tous ses résultats.
        </td>
    </tr>
    <tr><td>
        <input type="submit" class="coul"  name="enreserve" value="Mettre en réserve" />
        </td>
        <td class="arial_petit"> L'année de l'élève sera mise à <?php print $sess_ascol-1; ?>.
            Il n'apparaîtra plus dans les listes, les stats,... mais il pourra être &laquo;récupéré&raquo; par un
            autre établissement avec tous ses résultats.
        </td>
    </tr>
        <?php
        if ($elactif==-1) {
        print "<tr><td>&nbsp;</td><td><p class='attention'><b>Ce compte est désactivé !</b></p>";
        print "</td></tr>";
        }
        ?>
    <tr><td>
        <?php
        if ($elactif==-1) {
        ?>  
        <input type="submit" class="coul"  name="revalider" value="Réactiver" />
        </td>
        <td class="arial_petit"> Réactiver le compte de l'élève
        <?php
        } else  {
        ?>
        <input type="submit" class="coul"  name="invalider" value="Désactiver" />
        </td>
        <td class="arial_petit"> Désactiver le compte de l'élève : il apparaîtra dans les listes mais ne pourra plus se connecter.      
        <?php
        }
        ?>
        </td>
    </tr>
    </table></div>
    </p>
<?php } ?>
</div>
</form>


<?php

print "<br />";
if ($eid) {
    //print "<br /><br />élève n° $eid<br />";
    $resdem=query("SELECT message_id , item_id , disc_id ,
                          TO_DAYS(CURDATE())-TO_DAYS(quand ),
                          nboui,nbnon     
                    FROM demandes
                    WHERE eleve_id =$eid
                    AND active=1
                    ORDER BY demandes.item_id
                    ");
    $compte=0;
    $liste1='';
    $liste=array();
    while (list($message_id,$item_id,$disc,$nbj,$nboui,$nbnon)=mysql_fetch_array($resdem)) {
        if ($disc==-1) $liste1.="<b>$item_id</b> (<i>oui = $nboui, non = $nbnon</i>)  ";
        else {
           if (!isset($liste[$disc])) $liste[$disc]='';
           $liste[$disc].=$item_id." ($nboui,$nbnon), ";
            }
        $compte++;
        }
    $pluriel=pluriel($compte);
    printf ("Item%s demandé%s : ",$pluriel,$pluriel);

    if ($MODULE!='Melia') {
        if ($liste1) print $liste1;      //GiBii
        }
    else {                   //Melia
        $lvchoix=getlvchoix($eid);
        print '<br>';
        for ($r=1; $r<count($lvchoix); $r++) {
             $langue=$lvchoix[$r];
             $liblangue=getlangue($langue);
             if (!empty($liste[$langue]))
                 print "&nbsp;&nbsp;&nbsp;&nbsp;$liblangue -> ".substr($liste[$langue],0,-1).'<br>';
        }
    }
    if (!$compte) print "[aucun].";
    print "<br />";
    
    if (!gerer_resultats($id)) print "Résultat : [aucun]<br />";           
    
    
}

?>
</BODY>
</HTML>